# Get the list of machine types supported by UMongoDB - ListUMongoDBMachineSpec

## Overview

Get the list of machine types supported by UMongoDB






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUMongoDBMachineSpec`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project, sub-account must be filled in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ClassType** | string | Machine Model, such as O |No|
| **DiskType** | string | Disk type, such as CLOUD_RSSD |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*MongodbMachineSpec*](#mongodbmachinespec)] | Specifications list |**Yes**|

#### Data Model


#### MongodbMachineSpec

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ClassType** | string | Specification Type; O \| N |No|
| **DiskType** | array[string] | Disk Type;CLOUD_RSSD \| CLOUD_SSD \| LOCAL_SSD |No|
| **ComputeType** | array[[*MongodbMachineType*](#mongodbmachinetype)] | Specification List |No|
| **DefaultMachineType** | [*MongodbMachineType*](#mongodbmachinetype) | Default Specifications |No|

#### MongodbMachineType

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MachineTypeId** | string | Machine type ID o.mongo2m.medium, o.mongo2m.xlarge |**Yes**|
| **Description** | string | Configuration Abbreviation 2C4G |**Yes**|
| **Cpu** | int | CPU Cores |**Yes**|
| **Memory** | int | Memory Usage (GB) |**Yes**|
| **UHhostMachineType** | string | Machine Type, N/O |No|
| **Group** | string | Configuration Group, 2m, 4m |No|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=ListUMongoDBMachineSpec
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=ynzFdIrt
&ClassType=O  N
&DiskType=imLmDmDT
```

### Response Example
    
```json
{
  "Action": "ListUMongoDBMachineSpecResponse",
  "DataSet": [
    {
      "Cpu": 9,
      "Description": "gqpVxYqN",
      "Group": "MJEKyWSw",
      "MachineTypeId": "zvurmTfw",
      "Memory": 4,
      "UHhostMachineType": "JiPXjArf"
    }
  ],
  "RetCode": 0
}
```





